# $Id: smeserver-zarafa.spec,v 1.57 10/16/2011 pfloor Exp $
# Authority: pfloor
# Name: Paul Floor

%define name smeserver-zarafa-unix
%define version 1.0.1
%define release 5
Summary: smserver rpm to setup zarafa with unix plugin
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GNU GPL version 2
URL: http://contribs.org
Group: SMEserver/addon
Source: %{name}-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
BuildRoot: /var/tmp/%{name}-%{version}
BuildRequires: e-smith-devtools >= 1.13.1-03
Requires: e-smith-release >= 9.0
Requires: zarafa >= 7.1.3, zarafa < 8
Requires: zarafa-webaccess
AutoReqProv: no

%description
This is mainly used to setup zarafa7 using unix plugin although
you can still use the db plugin if wanted but the server manager
panels have been removed so db administration is purely commandline.
Unix plugin syncs all unix users to zarafa automatically and allows 
"Global" or fine grained implementation.  The unix plugin also
keeps the user's passwords in sync so there is only one place to
create or change a password, the server or user manage panels.

%changelog
* Mon Feb 18 2013 Paul Floor <paul@smeserverpro.com> - 1.0.1-5
- Update all config file templates. Change zarafa-indexer to
- zarafa-search and clean up services.

* Mon Feb 18 2013 Paul Floor <paul@smeserverpro.com> - 1.0.1-4
- Remove php53-mapi reqirement for use on SME9 (el6). Add support
- for new zarafa-webapp. Remove script call after install
- and make it an event.

* Fri Nov 23 2012 Paul Floor <paul@smeserverpro.com> - 1.0.1-3
- correct lib directory for x86_64 arch.
 
* Sun Jan 29 2012 Paul Floor <paul@smeserverpro.com> - 1.0.1-2
- Remove support for webaccess-mobile, it is no longer supported
- Add DB entry for Outlook Client Update.

* Fri Nov 25 2011 Paul Floor <paul@smeserverpro.com> - 1.0.1-1
- Removed beta tag and removed release specific requires, now only
- version specific.  Minor bug fixes concerning z-push.

* Sat Oct 15 2011 Paul Floor <paul@smeserverpro.com> - 1.0.0-7.0.2_29470_beta1
- Initial release with contributions from dmay and snoble THANKS!
- Unix plugin refined to eliminate duplicate entries. Many small fixes.
- Combined several scripts and added a 64 char random password generator. 
- This has release specific requirements due to multiple complications
- that happen when zarafa is allowed to update on its own.

%prep
%setup

%build
/usr/bin/perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
    > %{name}-%{version}-filelist
echo "%doc COPYING"  >> %{name}-%{version}-filelist
echo To complete instalation, run /etc/e-smith/events/actions/zarafa-install

%clean
cd ..
rm -rf %{name}-%{version}

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
